Package org.eclipse.mat.util

## Class SimpleMonitor

- java.lang.Object
- - org.eclipse.mat.util.SimpleMonitor

    public class SimpleMonitor
    extends java.lang.Object

A way of generating several progress monitors.

### Nested Class Summary

Nested Classes
`class` `SimpleMonitor.Listener`

### Constructor Summary

Constructors
`SimpleMonitor​(java.lang.String task, IProgressListener monitor, int[] percentages)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IProgressListener` `nextMonitor()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleMonitor

    public SimpleMonitor​(java.lang.String task,
                         IProgressListener monitor,
                         int[] percentages)

### Method Detail

#### nextMonitor

    public IProgressListener nextMonitor()